# Type Alias PresenceCallback

PresenceCallback: (
key: string,
current: PresenceState | undefined,
newPres: PresenceState,
) => void

#### Type declaration

- - (key: string, current: PresenceState | undefined, newPres: PresenceState): void

  - #### Parameters

    - key: string
    - current: PresenceState | undefined
    - newPres: PresenceState

    #### Returns void

- Defined in presence.ts:29